Package icyllis.modernui

# Class R.attr

java.lang.Object
icyllis.modernui.R.attr

Enclosing class:
  `R`

public static final class R.attr extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `state_above_anchor`
  State identifier indicating the popup will be above the anchor.
  `static final int`
  `state_activated`
  Set when a view or its parent has been "activated" meaning the user has currently marked it as being of interest.
  `static final int`
  `state_checked`
  State identifier indicating that the object is currently checked.
  `static final int`
  `state_drag_can_accept`
  Set when a view that is capable of accepting a drop of the content currently being manipulated in a drag-and-drop operation.
  `static final int`
  `state_drag_hovered`
  Set when a view is currently positioned over by a drag operation.
  `static final int`
  `state_empty`
  State identifier indicating the group is empty (has no children).
  `static final int`
  `state_enabled`
  Set when a view is enabled.
  `static final int`
  `state_expanded`
  State identifier indicating the group is expanded.
  `static final int`
  `state_focused`
  Set when a view has input focus.
  `static final int`
  `state_hovered`
  Set when a pointer is hovering over a view.
  `static final int`
  `state_last`
  State value for StateListDrawable, set when a view or drawable is in the last position in an ordered set.
  `static final int`
  `state_pressed`
  State value for StateListDrawable, set when the user is pressing down in a view.
  `static final int`
  `state_selected`
  Set when a view (or one of its parents) is currently selected.
  `static final int`
  `state_window_focused`
  Set when a view's window has input focus.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `attr()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### state_checked

    public static final int state_checked
    State identifier indicating that the object is currently checked.
    See Also:
      - Constant Field Values

  - ### state_above_anchor

    public static final int state_above_anchor
    State identifier indicating the popup will be above the anchor.
    See Also:
      - Constant Field Values

  - ### state_window_focused

    public static final int state_window_focused
    Set when a view's window has input focus.
    See Also:
      - Constant Field Values

  - ### state_selected

    public static final int state_selected
    Set when a view (or one of its parents) is currently selected.
    See Also:
      - Constant Field Values

  - ### state_focused

    public static final int state_focused
    Set when a view has input focus.
    See Also:
      - Constant Field Values

  - ### state_enabled

    public static final int state_enabled
    Set when a view is enabled.
    See Also:
      - Constant Field Values

  - ### state_activated

    public static final int state_activated
    Set when a view or its parent has been "activated" meaning the user has currently marked it as being of interest.
    See Also:
      - Constant Field Values

  - ### state_hovered

    public static final int state_hovered
    Set when a pointer is hovering over a view.
    See Also:
      - Constant Field Values

  - ### state_drag_can_accept

    public static final int state_drag_can_accept
    Set when a view that is capable of accepting a drop of the content currently being manipulated in a drag-and-drop operation.
    See Also:
      - Constant Field Values

  - ### state_drag_hovered

    public static final int state_drag_hovered
    Set when a view is currently positioned over by a drag operation.
    See Also:
      - Constant Field Values

  - ### state_last

    public static final int state_last
    State value for StateListDrawable, set when a view or drawable is in the last position in an ordered set. Actual usage may vary between views. Consult the host view documentation for details.
    See Also:
      - Constant Field Values

  - ### state_pressed

    public static final int state_pressed
    State value for StateListDrawable, set when the user is pressing down in a view.
    See Also:
      - Constant Field Values

  - ### state_expanded

    public static final int state_expanded
    State identifier indicating the group is expanded.
    See Also:
      - Constant Field Values

  - ### state_empty

    public static final int state_empty
    State identifier indicating the group is empty (has no children).
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### attr

    public attr()